Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 711260 (CVE-2018-21010) - <media-libs/openjpeg-2.3.1: Heap buffer overflow (CVE-2018-21010)
Summary: <media-libs/openjpeg-2.3.1: Heap buffer overflow (CVE-2018-21010)
Status: RESOLVED FIXED
Alias: CVE-2018-21010
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords: PullRequest
Depends on: 735588 735590 735598 735600
Blocks:
  Show dependency tree
 
Reported: 2020-03-01 23:40 UTC by Sam James
Modified: 2021-01-26 00:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-03-01 23:40:27 UTC
Description:
"OpenJPEG before 2.3.1 has a heap buffer overflow in color_apply_icc_profile in bin/common/color.c."

Affected versions in Portage:
- 1.5.2-r1 (1.x series)

NOTE: A version of 2.x with the fix is already in tree.

This [0] mentions that 1.x is also vulnerable.

Code in 1.5.2: https://github.com/uclouvain/openjpeg/blob/openjpeg-1.5/applications/common/color.c#L418

It looks like a patch could be generated, or indeed the 1.x series could be dropped given it is aging and its last release was 2014. Upstream have not released a fix for 1.x.

Patch for 2.x: https://github.com/uclouvain/openjpeg/commit/2e5ab1d9987831c981ff05862e8ccf1381ed58ea


[0] https://www.cvedetails.com/cve/CVE-2018-21010/
Comment 1 Larry the Git Cow gentoo-dev 2021-01-23 18:13:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ba62aa6a060734ae14a0e6f978c584746635248

commit 3ba62aa6a060734ae14a0e6f978c584746635248
Author:     John Helmert III <jchelmert3@posteo.net>
AuthorDate: 2020-07-30 07:01:27 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-23 18:12:57 +0000

    media-libs/openjpeg: Security cleanup (drop :0)
    
    Bug: https://bugs.gentoo.org/711260
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: John Helmert III <jchelmert3@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/16909
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/openjpeg/Manifest                 |  1 -
 media-libs/openjpeg/openjpeg-1.5.2-r1.ebuild | 77 ----------------------------
 2 files changed, 78 deletions(-)
Comment 2 John Helmert III gentoo-dev Security 2021-01-23 21:56:35 UTC
Now just need vote.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:22:27 UTC
This issue was resolved and addressed in
 GLSA 202101-29 at https://security.gentoo.org/glsa/202101-29
by GLSA coordinator Sam James (sam_c).
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:23:06 UTC
This issue was resolved and addressed in
 GLSA 202101-29 at https://security.gentoo.org/glsa/202101-29
by GLSA coordinator Sam James (sam_c).